NGramTokenizerFactory (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.ngram, class: NGramTokenizerFactory

Package org.apache.lucene.analysis.ngram

# Class NGramTokenizerFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenizerFactory
org.apache.lucene.analysis.ngram.NGramTokenizerFactory

public class NGramTokenizerFactory extends TokenizerFactory
Factory for `NGramTokenizer`.

     <fieldType name="text_ngrm" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.NGramTokenizerFactory" minGramSize="1" maxGramSize="2"/>
       </analyzer>
     </fieldType>

Since:
  3.1
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "nGram"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NGramTokenizerFactory()`
  Default ctor for compatibility with SPI
  `NGramTokenizerFactory(Map<String,String> args)`
  Creates a new NGramTokenizerFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tokenizer`
  `create(AttributeFactory factory)`
  Creates the `TokenStream` of n-grams from the given `Reader` and `AttributeFactory`.

  ### Methods inherited from class org.apache.lucene.analysis.TokenizerFactory

  `availableTokenizers, create, findSPIName, forName, lookupClass, reloadTokenizers`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NGramTokenizerFactory

    public NGramTokenizerFactory(Map<String,String> args)
    Creates a new NGramTokenizerFactory

  - ### NGramTokenizerFactory

    public NGramTokenizerFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public Tokenizer create(AttributeFactory factory)
    Creates the `TokenStream` of n-grams from the given `Reader` and `AttributeFactory`.
    Specified by:
      `create` in class `TokenizerFactory`